Bug 123029 - Oops on hci_usb removal.
Oops on hci_usb removal.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 10:51 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 05:10:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch that went into 2.6.7-rc1 (1.06 KB, patch)
2004-06-14 03:16 EDT, Joshua Uziel
no flags Details | Diff

  None (edit)
Description David Woodhouse 2004-05-11 10:51:17 EDT
Remove USB Bluetooth device. See oops:

May 11 09:08:55 hades kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000068
May 11 09:08:55 hades kernel:  printing eip:
May 11 09:08:55 hades kernel: 0216b824
May 11 09:08:55 hades kernel: *pde = 00000000
May 11 09:08:55 hades kernel: Oops: 0002 [#1]
May 11 09:08:55 hades kernel: CPU:    0
May 11 09:08:55 hades kernel: EIP:    0060:[<0216b824>]    Not tainted
May 11 09:08:55 hades kernel: EFLAGS: 00010246   (2.6.5-1.351)
May 11 09:08:55 hades kernel: EIP is at sysfs_hash_and_remove+0x1f/0x6f
May 11 09:08:55 hades kernel: eax: 00000000   ebx: 00000068   ecx:
00000068   edx: 00000077
May 11 09:08:55 hades kernel: esi: 00000000   edi: 022a8c08   ebp:
419d4c80   esp: 0388def4
May 11 09:08:55 hades kernel: ds: 007b   es: 007b   ss: 0068
May 11 09:08:55 hades kernel: Process khubd (pid: 5,
threadinfo=0388d000 task=0382e030)
May 11 09:08:55 hades kernel: Stack: 428a4080 428a4020 410c8330
0000000a 021d9e84 410c8200 410c8200 41a46e64
May 11 09:08:55 hades kernel:        4289d674 41a46954 4285d3f1
41a46e54 4285e2a0 02211819 41a46e64 4285e2c0
May 11 09:08:55 hades kernel:        021d95ec 022e28c0 022e290c
021d96ec 41a46e64 022daae8 410fa4cc 021d8a5a
May 11 09:08:55 hades kernel: Call Trace:
May 11 09:08:55 hades kernel:  [<021d9e84>] class_device_del+0x81/0xa2
May 11 09:08:55 hades kernel:  [<4289d674>]
hci_unregister_dev+0x8/0x5b [bluetooth]
May 11 09:08:55 hades kernel:  [<4285d3f1>]
hci_usb_disconnect+0x30/0x53 [hci_usb]
May 11 09:08:55 hades kernel:  [<02211819>] usb_unbind_interface+0x2c/0x50
May 11 09:08:55 hades kernel:  [<021d95ec>]
device_release_driver+0x3c/0x46
May 11 09:08:55 hades kernel:  [<021d96ec>] bus_remove_device+0x47/0x80
May 11 09:08:55 hades kernel:  [<021d8a5a>] device_del+0x66/0x87
May 11 09:08:55 hades kernel:  [<021d8a83>] device_unregister+0x8/0x10
May 11 09:08:55 hades kernel:  [<02216008>] usb_disable_device+0x62/0x8a
May 11 09:08:55 hades kernel:  [<0221214e>] usb_disconnect+0x9d/0xd2
May 11 09:08:55 hades kernel:  [<02213993>]
hub_port_connect_change+0x4b/0x210
May 11 09:08:55 hades kernel:  [<02213c2e>] hub_events+0xd6/0x296
May 11 09:08:55 hades kernel:  [<02213e0c>] hub_thread+0x1e/0xd0
May 11 09:08:55 hades kernel:  [<02115e97>] default_wake_function+0x0/0xc
May 11 09:08:55 hades kernel:  [<02213dee>] hub_thread+0x0/0xd0
May 11 09:08:55 hades kernel:  [<021041d9>] kernel_thread_helper+0x5/0xb
May 11 09:08:55 hades kernel:
May 11 09:08:55 hades kernel: Code: ff 4e 68 78 4b 89 fa 89 e8 e8 80
ff ff ff 3d 18 fc ff ff 89
Comment 1 Harald Hoyer 2004-05-17 04:48:04 EDT
Same here...

Unable to handle kernel NULL pointer dereference at virtual address
00000000
 printing eip:
021a271c
*pde = 00003001
Oops: 0000 [#1]
SMP
CPU:    1
EIP:    0060:[<021a271c>]    Tainted: P
EFLAGS: 00010286   (2.6.5-1.358smp)
EIP is at get_kobj_path_length+0xe/0x23
eax: 00000000   ebx: 00000001   ecx: ffffffff   edx: 37319f58
esi: 4096b419   edi: 00000000   ebp: 38141d90   esp: 41e3ceb4
ds: 007b   es: 007b   ss: 0068
Process khubd (pid: 10, threadinfo=41e3c000 task=41e0b7b0)
Stack: 022bf21c 4096b400 021a28a1 4096b40e 022bf1e1 00000147 4096b400
00000000
       37319f58 02306fe0 022f1880 429b2906 00000000 11739e80 37319f58
429b58c0
       37319f50 0000000a 021a2c02 429b5924 021f0e87 37319e00 37319e00
0d372764
Call Trace:
 [<021a28a1>] kset_hotplug+0x125/0x1e7
 [<021a2c02>] kobject_del+0xf/0x1e
 [<021f0e87>] class_device_del+0x92/0xa4
 [<429ae8c6>] hci_unregister_dev+0x8/0x79 [bluetooth]
 [<42c825e9>] hci_usb_disconnect+0x30/0x53 [hci_usb]
 [<0222a059>] usb_unbind_interface+0x2c/0x50
 [<021f05cd>] device_release_driver+0x3c/0x46
 [<021f06d0>] bus_remove_device+0x48/0x82
 [<021efa2e>] device_del+0x68/0x89
 [<021efa57>] device_unregister+0x8/0x10
 [<0222ec63>] usb_disable_device+0x62/0x8a
 [<0222a999>] usb_disconnect+0x9e/0xd5
 [<0222c2e8>] hub_port_connect_change+0x4b/0x212
 [<0222c59f>] hub_events+0xf0/0x2b9
 [<0222c786>] hub_thread+0x1e/0xd1
 [<0211b419>] default_wake_function+0x0/0xc
 [<0222c768>] hub_thread+0x0/0xd1
 [<021041f1>] kernel_thread_helper+0x5/0xb

Code: f2 ae f7 d1 49 8b 52 24 8d 5c 19 01 85 d2 75 e9 89 d8 5b 5f
Comment 2 Joshua Uziel 2004-06-14 03:16:39 EDT
Created attachment 101101 [details]
Patch that went into 2.6.7-rc1

Patch by Sebastian Schmidt <yath@yath.eu.org> and marcel@holtmann.org that went
into 2.6.7-rc1
Comment 3 Joshua Uziel 2004-06-14 03:19:19 EDT
Hi David, Hi Pete...

Noticed this bug open while looking for a fix.  The patch I attached
fixed the issue on my Thinkpad T41p running 2.6.6 in Debian.  Hope it
helps.
Comment 4 Pete Zaitcev 2004-08-20 05:00:30 EDT
David, how is 2.6.7-1.494.2.2 with this?
Comment 5 David Woodhouse 2004-08-20 05:10:01 EDT
Dunno but 2.6.8-1.520smp just survived the dongle being unplugged and
replugged. Closing.

Note You need to log in before you can comment on or make changes to this bug.